#!/bin/sh
filelist=$(sed "s/['\"]/\\\&/g")

kolist=$(echo $filelist | grep "\\.ko" | \
        xargs file -L 2>/dev/null | grep "ELF.*" | cut -d: -f1)
for f in $kolist; do
	if [ -L $f ]; then
		continue
	fi
	verstr=$(/sbin/modinfo $f| grep ^version:) 
	if [ -z "$verstr" ]; then 
		continue; 
	fi
	ver=$(echo $verstr |awk {'print $2;'})
	if [ -n "$ver" ] ; then 
		mod=$(echo ${f##*/} | sed 's/.ko$//g')
		echo "kmod($mod) = $ver" 
	fi 
done
